Skip to content

Alerts

All operations require authentication.

5 operationsv1/dbaas/logs
Agent setup

List stream alertsProduction

GET
/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/alert

Returns the stream alerts of the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

streamId
required
stringuuid

Stream ID

Response

200string[]successful operation
404objectError 404 response

Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/alert \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Get a stream alertProduction

GET
/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/alert/{alertId}

Returns the stream alert.

Path parameters

alertId
required
stringuuid

Alert ID

serviceName
required
string

Service name

streamId
required
stringuuid

Stream ID

Response

200StreamAlertConditionsuccessful operation
alertId
read-only
stringuuid

Stream alert condition ID

backlog
read-only
integer

Backlog size

conditionType
read-only
StreamAlertConditionConditionTypeEnum

Alert condition type

ValuesFIELD_CONTENT_VALUEFIELD_VALUEMESSAGE_COUNT
constraintType
read-only
StreamAlertConditionConstraintTypeEnum

Constraint type

ValuesMAXMEANMINSTDLABEUSUM
field
read-only
string

Field name

grace
read-only
integer

Grace period in minutes

queryFilter
read-only
string

Query filter

repeatNotificationsEnabled
read-only
boolean

Repeat notifications

threshold
read-only
integer

Threshold

thresholdType
read-only
StreamAlertConditionThresholdTypeEnum

Threshold condition

ValuesEQGTGTELTLTE
time
read-only
integer

Time lapse in minutes

title
read-only
string

Condition label

value
read-only
string

Field value

404objectError 404 response

Example uses alertId = 00000000-0000-0000-0000-000000000000, serviceName = string, streamId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/alert/{alertId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "alertId": "00000000-0000-0000-0000-000000000000", "backlog": 0, "conditionType": "FIELD_CONTENT_VALUE", "constraintType": "MAX", "field": "string", "grace": 0, "queryFilter": "string", "repeatNotificationsEnabled": true, "threshold": 0, "thresholdType": "EQ", "time": 0, "title": "string", "value": "string"}

Create a stream alertProduction

POST
/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/alert

Creates a stream alert on the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

streamId
required
stringuuid

Stream ID

Request body (required)

backlog
required
integer

Backlog

conditionType
StreamAlertConditionConditionTypeEnum

Condition type

ValuesFIELD_CONTENT_VALUEFIELD_VALUEMESSAGE_COUNT
constraintType
StreamAlertConditionConstraintTypeEnum

Constraint type

ValuesMAXMEANMINSTDLABEUSUM
field
string

Field

grace
required
integer

Grace period

queryFilter
string

Query filter

repeatNotificationsEnabled
boolean

Repeat notifications enabled

threshold
integer

Threshold

thresholdType
StreamAlertConditionThresholdTypeEnum

Threshold type

ValuesEQGTGTELTLTE
time
integer

Time

title
required
string

Title

value
string

Value

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response
409objectError 409 response

Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/alert \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Delete a stream alertProduction

DELETE
/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/alert/{alertId}

Deletes the stream alert.

Path parameters

alertId
required
stringuuid

Alert ID

serviceName
required
string

Service name

streamId
required
stringuuid

Stream ID

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses alertId = 00000000-0000-0000-0000-000000000000, serviceName = string, streamId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/alert/{alertId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Update a stream alertProduction

PUT
/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/alert/{alertId}

Updates the stream alert.

Path parameters

alertId
required
stringuuid

Alert ID

serviceName
required
string

Service name

streamId
required
stringuuid

Stream ID

Request body (required)

backlog
required
integer

Backlog

conditionType
StreamAlertConditionConditionTypeEnum

Condition type

ValuesFIELD_CONTENT_VALUEFIELD_VALUEMESSAGE_COUNT
constraintType
StreamAlertConditionConstraintTypeEnum

Constraint type

ValuesMAXMEANMINSTDLABEUSUM
field
string

Field

grace
required
integer

Grace period

queryFilter
string

Query filter

repeatNotificationsEnabled
boolean

Repeat notifications enabled

threshold
integer

Threshold

thresholdType
StreamAlertConditionThresholdTypeEnum

Threshold type

ValuesEQGTGTELTLTE
time
integer

Time

title
required
string

Title

value
string

Value

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response
409objectError 409 response

Example uses alertId = 00000000-0000-0000-0000-000000000000, serviceName = string, streamId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/alert/{alertId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}